PipeWire: introspect.c File Reference

PipeWire 0.2.6

Functions
introspect.c File Reference
Include dependency graph for introspect.c:

## Functions
SPA_EXPORT const char * | pw_node_state_as_string (enum pw_node_state state)
SPA_EXPORT const char * | pw_direction_as_string (enum pw_direction direction)
SPA_EXPORT const char * | pw_link_state_as_string (enum pw_link_state state)
SPA_EXPORT struct pw_core_info * | pw_core_info_update (struct pw_core_info *info, const struct pw_core_info *update)
SPA_EXPORT void | pw_core_info_free (struct pw_core_info *info)
SPA_EXPORT struct pw_node_info * | pw_node_info_update (struct pw_node_info *info, const struct pw_node_info *update)
SPA_EXPORT void | pw_node_info_free (struct pw_node_info *info)
SPA_EXPORT struct pw_port_info * | pw_port_info_update (struct pw_port_info *info, const struct pw_port_info *update)
SPA_EXPORT void | pw_port_info_free (struct pw_port_info *info)
SPA_EXPORT struct pw_factory_info * | pw_factory_info_update (struct pw_factory_info *info, const struct pw_factory_info *update)
SPA_EXPORT void | pw_factory_info_free (struct pw_factory_info *info)
SPA_EXPORT struct pw_module_info * | pw_module_info_update (struct pw_module_info *info, const struct pw_module_info *update)
SPA_EXPORT void | pw_module_info_free (struct pw_module_info *info)
SPA_EXPORT struct pw_client_info * | pw_client_info_update (struct pw_client_info *info, const struct pw_client_info *update)
SPA_EXPORT void | pw_client_info_free (struct pw_client_info *info)
SPA_EXPORT struct pw_link_info * | pw_link_info_update (struct pw_link_info *info, const struct pw_link_info *update)
SPA_EXPORT void | pw_link_info_free (struct pw_link_info *info)

## Function Documentation

## ◆ pw_client_info_free()

SPA_EXPORT void pw_client_info_free | ( | struct pw_client_info * | info | ) |

References pw_client_info::props.

## ◆ pw_client_info_update()

SPA_EXPORT struct pw_client_info* pw_client_info_update | ( | struct pw_client_info * | info,
|  | const struct pw_client_info * | update
| ) |  |

References pw_client_info::change_mask, pw_client_info::id, pw_client_info::props, and PW_CLIENT_CHANGE_MASK_PROPS.

## ◆ pw_core_info_free()

SPA_EXPORT void pw_core_info_free | ( | struct pw_core_info * | info | ) |

References pw_core_info::host_name, pw_core_info::name, pw_core_info::props, pw_core_info::user_name, and pw_core_info::version.

## ◆ pw_core_info_update()

SPA_EXPORT struct pw_core_info* pw_core_info_update | ( | struct pw_core_info * | info,
|  | const struct pw_core_info * | update
| ) |  |

References pw_core_info::change_mask, pw_core_info::cookie, pw_core_info::host_name, pw_core_info::id, pw_core_info::name, pw_core_info::props, PW_CORE_CHANGE_MASK_COOKIE, PW_CORE_CHANGE_MASK_HOST_NAME, PW_CORE_CHANGE_MASK_NAME, PW_CORE_CHANGE_MASK_PROPS, PW_CORE_CHANGE_MASK_USER_NAME, PW_CORE_CHANGE_MASK_VERSION, pw_core_info::user_name, and pw_core_info::version.

## ◆ pw_direction_as_string()

SPA_EXPORT const char* pw_direction_as_string | ( | enum pw_direction | direction | ) |

References PW_DIRECTION_INPUT, and PW_DIRECTION_OUTPUT.

## ◆ pw_factory_info_free()

SPA_EXPORT void pw_factory_info_free | ( | struct pw_factory_info * | info | ) |

References pw_factory_info::name, and pw_factory_info::props.

## ◆ pw_factory_info_update()

SPA_EXPORT struct pw_factory_info* pw_factory_info_update | ( | struct pw_factory_info * | info,
|  | const struct pw_factory_info * | update
| ) |  |

References pw_factory_info::change_mask, pw_factory_info::id, pw_factory_info::name, pw_factory_info::props, PW_FACTORY_CHANGE_MASK_PROPS, pw_factory_info::type, and pw_factory_info::version.

## ◆ pw_link_info_free()

SPA_EXPORT void pw_link_info_free | ( | struct pw_link_info * | info | ) |

References pw_link_info::format.

## ◆ pw_link_info_update()

SPA_EXPORT struct pw_link_info* pw_link_info_update | ( | struct pw_link_info * | info,
|  | const struct pw_link_info * | update
| ) |  |

References pw_link_info::change_mask, pw_link_info::format, pw_link_info::id, pw_link_info::input_node_id, pw_link_info::input_port_id, pw_link_info::output_node_id, pw_link_info::output_port_id, PW_LINK_CHANGE_MASK_FORMAT, PW_LINK_CHANGE_MASK_INPUT, PW_LINK_CHANGE_MASK_OUTPUT, and pw_utils::pw_spa_pod_copy().

## ◆ pw_link_state_as_string()

SPA_EXPORT const char* pw_link_state_as_string | ( | enum pw_link_state | state | ) |

References PW_LINK_STATE_ALLOCATING, PW_LINK_STATE_ERROR, PW_LINK_STATE_INIT, PW_LINK_STATE_NEGOTIATING, PW_LINK_STATE_PAUSED, PW_LINK_STATE_RUNNING, and PW_LINK_STATE_UNLINKED.

## ◆ pw_module_info_free()

SPA_EXPORT void pw_module_info_free | ( | struct pw_module_info * | info | ) |

References pw_module_info::args, pw_module_info::filename, pw_module_info::name, and pw_module_info::props.

## ◆ pw_module_info_update()

SPA_EXPORT struct pw_module_info* pw_module_info_update | ( | struct pw_module_info * | info,
|  | const struct pw_module_info * | update
| ) |  |

References pw_module_info::args, pw_module_info::change_mask, pw_module_info::filename, pw_module_info::id, pw_module_info::name, pw_module_info::props, PW_MODULE_CHANGE_MASK_ARGS, PW_MODULE_CHANGE_MASK_FILENAME, PW_MODULE_CHANGE_MASK_NAME, and PW_MODULE_CHANGE_MASK_PROPS.

## ◆ pw_node_info_free()

SPA_EXPORT void pw_node_info_free | ( | struct pw_node_info * | info | ) |

References pw_node_info::error, pw_node_info::name, and pw_node_info::props.

## ◆ pw_node_info_update()

SPA_EXPORT struct pw_node_info* pw_node_info_update | ( | struct pw_node_info * | info,
|  | const struct pw_node_info * | update
| ) |  |

References pw_node_info::change_mask, pw_node_info::error, pw_node_info::id, pw_node_info::max_input_ports, pw_node_info::max_output_ports, pw_node_info::n_input_ports, pw_node_info::n_output_ports, pw_node_info::name, pw_node_info::props, PW_NODE_CHANGE_MASK_INPUT_PORTS, PW_NODE_CHANGE_MASK_NAME, PW_NODE_CHANGE_MASK_OUTPUT_PORTS, PW_NODE_CHANGE_MASK_PROPS, PW_NODE_CHANGE_MASK_STATE, and pw_node_info::state.

## ◆ pw_node_state_as_string()

SPA_EXPORT const char* pw_node_state_as_string | ( | enum pw_node_state | state | ) |

References PW_NODE_STATE_CREATING, PW_NODE_STATE_ERROR, PW_NODE_STATE_IDLE, PW_NODE_STATE_RUNNING, and PW_NODE_STATE_SUSPENDED.

## ◆ pw_port_info_free()

SPA_EXPORT void pw_port_info_free | ( | struct pw_port_info * | info | ) |

References pw_port_info::name, and pw_port_info::props.

## ◆ pw_port_info_update()

SPA_EXPORT struct pw_port_info* pw_port_info_update | ( | struct pw_port_info * | info,
|  | const struct pw_port_info * | update
| ) |  |

References pw_port_info::change_mask, pw_port_info::id, pw_port_info::name, pw_port_info::props, PW_PORT_CHANGE_MASK_NAME, and PW_PORT_CHANGE_MASK_PROPS.